import {isEmpty} from'@/libs';
//chart 初始化数据
export function setChartDefData(){
	return {
	  categories:[],
	  series: [{data: []}]
	}	
}
export function setOpts(data){
	if(isEmpty(data))
	{
		data=[{tofix:0}]
	}
	return {
		"dataPointShape":false,
		"legend":{show:false},
		"dataLabel":false,
		"xAxis":{
			disabled:true
		},
		"yAxis": {
			splitNumber: 6,
			data
		}
	}	
}
export function setChartData(type){
	switch(type){
		//心电图
		case 'ecg':
			return {
					max:130,
					min:40,
					data:'chartEcgData',
					name:"ecg"
				}
		break;					
		//动脉压
		case 'abp':
			return {
					min:70,
					max:105,
					data:'chartAbpData',
					name:"abp"
				}
		break;
		//收缩压
		case 'sbp':
			return {
					min:70,//90
					max:160,//150
					data:'chartSbpData',
					name:"sbp"
				}
		break;	
		//舒张压
		case 'dbp':
			return {
					min:55,//60
					max:100,//90
					data:'chartDbpData',
					name:"dbp"
				}
		break;
		//颅内压
		case 'icp':
			return {
					max:185,
					min:36,
					data:'chartIcpData',
					name:"icp"
				}
		break;			
		//脑灌注压
		case 'cpp':
			return {
					max:70,
					min:20,
					data:'chartCppData',
					name:"cpp"
				}
		break;			
		//血流灌注指数
		case 'pi':
			return {
					max:6,
					min:3,
					data:'chartPiData',
					name:"pi",
					degree:1
				}
		break;			
		//血氧饱和度
		case 'SaO2':
			return {
					max:98,
					min:75,
					data:'chartOxygenSaturationData',
					name:"oxygenSaturation"
				}
		break;			
		//心跳
		case 'heartbeat':
			return {
					max:130,
					min:40,
					data:'chartHeartbeatData',
					name:"heartbeat"
				}
		break;	;			
		//呼吸率
		case 'awrr':
			return {
					min:12,//12-20
					max:60,//30-60
					data:'chartAwRRData',
					name:"awrr"
				}
		break;		
		//体温
		case 'temperature':
			return {
					min:34,//60
					max:40,//90
					data:'chartTemperatureData',
					name:"temperature",
					degree:1
				}
		break;				
	}
}
